# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rails_templated_urls/version'

Gem::Specification.new do |spec|
  spec.name          = 'rails_templated_urls'
  spec.version       = RailsTemplatedUrls::VERSION
  spec.authors       = ['Lenon Marcel']
  spec.email         = ['lenon.marcel@gmail.com']

  spec.summary       = 'Provides templated URLs for Rails apps'
  spec.description   = 'Provides templated URLs for Rails apps'
  spec.homepage      = 'https://github.com/lenon/rails_templated_urls'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'rails', '~> 4.2.0'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest'
  spec.add_development_dependency 'pry'
end
